Design viewer fails after upgrading to v6.0

SWT Designer allows you to create the views, editors, perspectives, pref pages, composites, etc. that comprise Eclipse SWT & RCP applications and plug-ins.

Moderators: Konstantin.Scheglov, gnebling, Alexander.Mitin, jwren, Eric Clayberg

Design viewer fails after upgrading to v6.0

Postby redbeard » Fri Nov 10, 2006 7:19 am

I was (successfully) running with Eclipse 3.1.2 on Linux/FC4 and Designer 5.0.

However, I upgraded to Eclipse 3.2.1 and Designer V6.0. When I try to open design viewer for a Java source file, I receive the following error:

java.lang.UnsatisfiedLinkError: cannot open shared object file: No such file or directory

An 'ldd' on the '' does, indeed, reveal that '' cannot be found.

I can find the '' in my two Eclipse distributions, but no ''. Does V6.0 require other packages to be installed on Linux?
Posts: 1
Joined: Fri Nov 10, 2006 7:12 am

Re: Design viewer fails after upgrading to v6.0

Postby Eric Clayberg » Fri Nov 10, 2006 10:18 am

This is a know issue that has alredy been addressed in v6.0.1.

The basic problem is that Linux is the wild west of operating systems with very little consistency between distributions. If you compile code for one distribution, it can very easily fail for another.
Eric Clayberg
Software Engineering Manager

Author: "Eclipse Plug-ins"
Eric Clayberg
Posts: 4503
Joined: Tue Sep 30, 2003 6:39 am
Location: Boston, MA USA

Return to SWT Designer

Who is online

Users browsing this forum: No registered users and 1 guest